import FreeCADGui as Gui

class Syncable:
    SYNCABLES = [ 'KiConnect::Project', 'KiConnect::Board', 'KiConnect::Parts', 'KiConnect::BoardBody', ]

    def IsActive(self):
        sel = Gui.Selection.getSelection()

        print(len(sel))
        if len(sel) == 0: return False

        print(sel, self.SYNCABLES)

        for obj in sel:
            if obj.Type not in self.SYNCABLES:
                return False

        return True
